Last Comment Bug 720461 - Crash in profile migration NumberFormatException [@ PlacesTask.migrateHistory]
: Crash in profile migration NumberFormatException [@ PlacesTask.migrateHistory]
Status: RESOLVED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 12 Branch
: ARM Android
: P2 critical (vote)
: ---
Assigned To: Gian-Carlo Pascutto [:gcp]
:
Mentors:
Depends on:
Blocks: 699199
  Show dependency treegraph
 
Reported: 2012-01-23 11:48 PST by Matt Brubeck (:mbrubeck)
Modified: 2012-01-27 00:55 PST (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
places.sqlite.bz2 (9.74 KB, text/plain)
2012-01-23 16:14 PST, Matt Brubeck (:mbrubeck)
no flags Details
Patch 1. Fix loop logic in SQLiteBridge (1.64 KB, patch)
2012-01-24 07:05 PST, Gian-Carlo Pascutto [:gcp]
dougt: review+
dougt: approval‑mozilla‑aurora+
Details | Diff | Review

Description Matt Brubeck (:mbrubeck) 2012-01-23 11:48:50 PST
This happened after I installed a local Native build from mozilla-central tip over a local XUL build  from mozilla-central tip:

I/GeckoApp( 5560): start
I/GeckoApp( 5560): resume
W/GeckoApp( 5560): zerdatime 169956483 - pre checkLaunchState
I/GeckoApp( 5560): Checking for an update
W/GeckoApp( 5560): checking for an update took 0ms
I/GeckoDirProvider( 5560): Get profile dir for default
I/GeckoApp( 5560): checking profile migration in: /data/data/org.mozilla.fennec_mbrubeck/files/mozilla/cpll84wf.default
I/ProfMigr( 5560): Opening path: /data/data/org.mozilla.fennec_mbrubeck/files/mozilla/cpll84wf.default/places.sqlite
I/dalvikvm( 5560): Could not find method android.database.sqlite.SQLiteDatabase.enableWriteAheadLogging, referenced from method org.mozilla.fennec_mbrubeck.db.BrowserProvider$DatabaseHelper.onOpen
W/dalvikvm( 5560): VFY: unable to resolve virtual method 222: Landroid/database/sqlite/SQLiteDatabase;.enableWriteAheadLogging ()Z
I/GeckoDirProvider( 5560): Get profile dir for default
W/dalvikvm( 5560): threadid=9: thread exiting with uncaught exception (group=0x40015578)
E/AndroidRuntime( 5560): FATAL EXCEPTION: GeckoLooper Thread
E/AndroidRuntime( 5560): java.lang.NumberFormatException
E/AndroidRuntime( 5560): 	at java.lang.Long.parseLong(Long.java:333)
E/AndroidRuntime( 5560): 	at java.lang.Long.parseLong(Long.java:311)
E/AndroidRuntime( 5560): 	at org.mozilla.gecko.ProfileMigrator$PlacesTask.migrateHistory(ProfileMigrator.java:186)
E/AndroidRuntime( 5560): 	at org.mozilla.gecko.ProfileMigrator$PlacesTask.migratePlaces(ProfileMigrator.java:281)
E/AndroidRuntime( 5560): 	at org.mozilla.gecko.ProfileMigrator$PlacesTask.run(ProfileMigrator.java:316)
E/AndroidRuntime( 5560): 	at android.os.Handler.handleCallback(Handler.java:587)
E/AndroidRuntime( 5560): 	at android.os.Handler.dispatchMessage(Handler.java:92)
E/AndroidRuntime( 5560): 	at android.os.Looper.loop(Looper.java:130)
E/AndroidRuntime( 5560): 	at org.mozilla.gecko.GeckoAppShell$LooperThread.run(GeckoAppShell.java:174)
W/ActivityManager(  113):   Force finishing activity org.mozilla.fennec_mbrubeck/.App
Comment 1 Gian-Carlo Pascutto [:gcp] 2012-01-23 13:51:14 PST
If your places.sqlite doesn't contain anything private, can you attach it to this bug?
Comment 2 Matt Brubeck (:mbrubeck) 2012-01-23 16:14:36 PST
Created attachment 590925 [details]
places.sqlite.bz2

I was able to reproduce this in a brand new profile with these steps, on 7" Galaxy Tab (Android 2.3):

1. Install XUL Fennec build from mozilla-central tip.
2. Use "Clear data" in the Android Settings app to remove any profile data.
3. Launch Fennec.
4. Quit Fennec.
5. Install Native Fennec build from mozilla-central tip.
6. Launch Fennec.
7. Crash!

The places.sqlite file is attached (bzip2ed).
Comment 3 Gian-Carlo Pascutto [:gcp] 2012-01-24 07:05:01 PST
Created attachment 591079 [details] [diff] [review]
Patch 1. Fix loop logic in SQLiteBridge

We still return a row with nulls even if the result set is empty.
Comment 4 Gian-Carlo Pascutto [:gcp] 2012-01-24 07:06:33 PST
Comment on attachment 591079 [details] [diff] [review]
Patch 1. Fix loop logic in SQLiteBridge

[Approval Request Comment]
Should go together with bug 713228.
Comment 5 Gian-Carlo Pascutto [:gcp] 2012-01-24 22:53:50 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/08917f31c6ab
Comment 7 Gian-Carlo Pascutto [:gcp] 2012-01-27 00:25:38 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/62fc7d5a3085

Note You need to log in before you can comment on or make changes to this bug.